#include <sys/socket.h>
#include <unistd.h>
#include <sys/types.h>
#include <stdio.h>
#include <netdb.h>


int main(int argc, char *argv[])
{
	struct sockaddr_in addr;
	int ret;
	int sock;
	char buf[256];
    
    if(argc<2)
    {
        fprintf(stderr,"usage: %s hostaddr\n",argv[0]);
        exit(1);
    }
    
	if(-1==(sock=socket(AF_INET,SOCK_STREAM,IPPROTO_TCP)))
	{
		perror("socket");
        exit(1);
	}

    addr.sin_family=AF_INET;
    addr.sin_port=htons(13); /* daytime see /etc/services */
    addr.sin_addr.s_addr=inet_addr(argv[1]);
    
	bzero(buf,256);

	if(-1==connect(sock,(struct sockaddr*)&addr,sizeof(addr)))
	{
		perror("No connection\n");
        exit(1);
	}
	
	if(-1==recv(sock,buf,255,0))
	{
		perror("recv");
        exit(1);
	}
	printf("got: %s\n",buf); 
	if(-1==close(sock))
	{
		perror("recv");
        exit(1);
	}
	return 0;
}
